*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.carousel {
    max-width: 1152px;
    margin: auto;
    position: relative;
    overflow: hidden;
    font-size: 2.5vmin;
    border-bottom: 1px solid rgb(231 231 231);
}

.carousel-slider {
    touch-action: pan-y;
    position: relative;
    display: flex;
    flex-wrap: nowrap;
    width: 100%;
}

.carousel::before,
.carousel::after {
    content: '';
    position: absolute;
    top: 0;
    width: 65px;
    height: 100%;
    z-index: 1;
    pointer-events: none;
}

.carousel::before {
    left: 0;
    background: linear-gradient(to right, #FFF 0%, rgba(255, 255, 255, 0) 100%);
}

.carousel::after {
    right: 0;
    background: linear-gradient(to left, #FFF 0%, rgba(255, 255, 255, 0) 100%);
}

.carousel-slide {
    border-left: 1px solid #D9D9D9;
    flex: 1 0 33.3333%;
    padding: 10px 12px;
    position: relative;
    height: 178px;
}

.carousel-content {
    position: unset !important;
    display: flex;
    gap: 8px;
    flex-direction: column;
}

.carousel-tag {
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    padding: 0px 3px;
    color: #085DAD;
    font-family: "Roboto Condensed", serif;
    font-size: 10px;
    font-weight: 700;
    text-transform: uppercase;
    line-height: 12px;
}

.carousel-t-and-c {
    display: flex;
    margin-top: 3px;
    position: initial;
    min-height: 50px;
    max-height: 50px;
}

.carousel-t-and-c-text {
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    margin: 0;
    color: #AEAEAE;
    font-family: "Roboto Condensed", serif;
    font-size: 8px;
    font-weight: 400;
    line-height: 10px;
}

.carousel-brand-offer-text {
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    padding: 0px 3px;
    color: #000;
    font-family: "Roboto Condensed", serif;
    font-size: 17px;
    font-weight: 700;
    line-height: 17px;
    min-height: 34px;
}

.carousel-brand-offers-cta {
    user-select: none;
    display: flex;
    padding: 6px 120px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    align-self: stretch;
}

@media (max-width: 550px) {
    .carousel::before,
    .carousel::after {
        display: none;
    }
}

@media (max-width: 400px) {

    .carousel-brand-offer-text {
        padding: 0px 0px;
    }

    .carousel-tag {
        padding: 0px 0px;
    }

    .carousel-slide {
        padding: 8px 14px;
        height: 180px;
    }
}

@media screen and (max-width: 1215px) {
    .carousel {
        max-width: 1024px;
    }
}